#
# spec file for package perl-Path-FindDev
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Path-FindDev
Version:        0.5.3
Release:        1.25
%define cpan_name Path-FindDev
Summary:        Find a development path somewhere in an upper hierarchy
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Path-FindDev/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Tiny) >= 0.010
BuildRequires:  perl(Path::IsDev) >= 0.2.2
BuildRequires:  perl(Path::IsDev::Object)
BuildRequires:  perl(Path::Tiny) >= 0.054
BuildRequires:  perl(Sub::Exporter)
Requires:       perl(Class::Tiny) >= 0.010
Requires:       perl(Path::IsDev) >= 0.2.2
Requires:       perl(Path::IsDev::Object)
Requires:       perl(Path::Tiny) >= 0.054
Requires:       perl(Sub::Exporter)
Recommends:     perl(Path::Tiny) >= 0.058
%{perl_requires}

%description
This package is mostly a glue layer around 'Path::IsDev' with a few
directory walking tricks.

    use Path::FindDev qw( find_dev );

    if ( my $root = find_dev('/some/path/to/something/somewhere')) {
        print "development root = $root";
    } else {
        print "No development root :(";
    }

%prep
%setup -q -n %{cpan_name}-v%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Sat Mar 11 2017 coolo@suse.com
- updated to 0.5.3
  see /usr/share/doc/packages/perl-Path-FindDev/Changes
  v0.5.3 2017-03-10T07:02:09Z c9c9198
  - Bugfix: Avoid test failures due to -Ddefault_inc_excludes_dot
  - Add "v" to version due to upstream requirements
  - Tests made more portable to older Test::More
  [Dependencies::Stats]
  - Dependencies changed since 0.5.2, see misc/*.deps* for details
  - configure: +1 (recommends: ↑1)
  - develop: +14 ↑4 -3 (recommends: +1, suggests: ↑2)
  - runtime: ↓1 -1 (recommends: +1)
  - test: +1 ↓1 (recommends: ↑1 ↓1)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.5.2
  see /usr/share/doc/packages/perl-Path-FindDev/Changes
  0.5.2 2014-08-16T04:12:22Z
  [00 Trivial]
  - CPANDAY!
  - No code changes.
  - metadata updated.
  - tests updated.
  - whitespace reduced.
  [Dependencies::Noteworthy]
  - use newer Path::Tiny to avoid bug GH #7 ( Thanks Chorny )
  [Dependencies::Stats]
  - Dependencies changed since 0.5.1, see misc/*.deps* for details
  - configure: ↓1
  - develop: +1 (suggests: ↑1)
  - runtime: ↑1
  - test: +1 -3 (recommends: ↑1 -1)
  [Metadata]
  - move to kentnl org.
  - Show 2x contributors
  [Misc]
  - Improve source side POD to reduce build side whitespace.
  [Tests]
  - updated Test::ReportPrereqs
  0.5.1 2014-07-13T17:54:11Z
  [00 Trivial]
  - Misc packaging updates.
  [Dependencies::Stats]
  - Dependencies changed since 0.5.0, see misc/*.deps* for details
  - configure: (recommends: ↑1)
  - develop: +3 -3 (suggests: +2 -1)
  - test: (recommends: ↑2)
  0.5.0 2014-03-04T11:03:22Z
  [00 Tooling release]
  - Toolkit switched to EUMM
  - No other noteworthy changes
  - Still as broken as always
  [Dependencies::Aggregate]
  - 5.008 - 49 → 44
  - 5.010 - 32 → 33
  - 5.019 - 18 → 17
  [Dependencies::Stats]
  - Dependencies changed since 0.4.2, see misc/*.deps* for details
  - build: -1
  - configure: +1 -1 (recommends: +1)
  - develop: +8 ↑1 -10
  - runtime: +1 ↑1
  - test: +4 ↓1 -3 (recommends: +4)
  0.4.2 2013-11-09T16:06:27Z
  [00 Bugfix]
  - Minimum perl declared is now 5.8, and tested to work on 5.8
  - However, the version scheme is x.y.z still, which means if you want to depend on a specific version in Perl code,
    you'll need a recent enough version.pm to make it work.
  [Dependencies::Stats]
  - Dependencies changed since 0.4.1, see misc/*.deps* for details
  - build: ↑1
  - configure: ↑1
  - develop: +42 ↑1
  - runtime: ↓1
  - test: ↑1
  0.4.1 2013-10-23T19:08:22Z
  [00 Bugfix]
  - System path test added in 0.4.0 disabled due to potential security risks ( fixes #4 )
  [Dependencies::Stats]
  - Dependencies changed since 0.4.0, see misc/*.deps* for details
  - develop: ↑2
  - test: ↑1
* Tue Oct  8 2013 coolo@suse.com
- initial package 0.4.0
  * created by cpanspec 1.78.07
